curl --request POST \
--url https://api.nuvia.ai/v1/campaigns/audience-preview/excluded \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"audience_config": {
"contact_ids": [
"<string>"
],
"lists": [
{
"id": "<string>",
"views": [
"<string>"
]
}
]
},
"behavior_config": {
"skip_if_active_conversation": true,
"active_conversation_window_minutes": 0
},
"exclusion_lists": [
{
"id": "<string>"
}
],
"page": 0,
"limit": 0,
"search": "<string>"
}
'import requests
url = "https://api.nuvia.ai/v1/campaigns/audience-preview/excluded"
payload = {
"audience_config": {
"contact_ids": ["<string>"],
"lists": [
{
"id": "<string>",
"views": ["<string>"]
}
]
},
"behavior_config": {
"skip_if_active_conversation": True,
"active_conversation_window_minutes": 0
},
"exclusion_lists": [{ "id": "<string>" }],
"page": 0,
"limit": 0,
"search": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
audience_config: {contact_ids: ['<string>'], lists: [{id: '<string>', views: ['<string>']}]},
behavior_config: {skip_if_active_conversation: true, active_conversation_window_minutes: 0},
exclusion_lists: [{id: '<string>'}],
page: 0,
limit: 0,
search: '<string>'
})
};
fetch('https://api.nuvia.ai/v1/campaigns/audience-preview/excluded', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nuvia.ai/v1/campaigns/audience-preview/excluded",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'audience_config' => [
'contact_ids' => [
'<string>'
],
'lists' => [
[
'id' => '<string>',
'views' => [
'<string>'
]
]
]
],
'behavior_config' => [
'skip_if_active_conversation' => true,
'active_conversation_window_minutes' => 0
],
'exclusion_lists' => [
[
'id' => '<string>'
]
],
'page' => 0,
'limit' => 0,
'search' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nuvia.ai/v1/campaigns/audience-preview/excluded"
payload := strings.NewReader("{\n \"audience_config\": {\n \"contact_ids\": [\n \"<string>\"\n ],\n \"lists\": [\n {\n \"id\": \"<string>\",\n \"views\": [\n \"<string>\"\n ]\n }\n ]\n },\n \"behavior_config\": {\n \"skip_if_active_conversation\": true,\n \"active_conversation_window_minutes\": 0\n },\n \"exclusion_lists\": [\n {\n \"id\": \"<string>\"\n }\n ],\n \"page\": 0,\n \"limit\": 0,\n \"search\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.nuvia.ai/v1/campaigns/audience-preview/excluded")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"audience_config\": {\n \"contact_ids\": [\n \"<string>\"\n ],\n \"lists\": [\n {\n \"id\": \"<string>\",\n \"views\": [\n \"<string>\"\n ]\n }\n ]\n },\n \"behavior_config\": {\n \"skip_if_active_conversation\": true,\n \"active_conversation_window_minutes\": 0\n },\n \"exclusion_lists\": [\n {\n \"id\": \"<string>\"\n }\n ],\n \"page\": 0,\n \"limit\": 0,\n \"search\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nuvia.ai/v1/campaigns/audience-preview/excluded")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"audience_config\": {\n \"contact_ids\": [\n \"<string>\"\n ],\n \"lists\": [\n {\n \"id\": \"<string>\",\n \"views\": [\n \"<string>\"\n ]\n }\n ]\n },\n \"behavior_config\": {\n \"skip_if_active_conversation\": true,\n \"active_conversation_window_minutes\": 0\n },\n \"exclusion_lists\": [\n {\n \"id\": \"<string>\"\n }\n ],\n \"page\": 0,\n \"limit\": 0,\n \"search\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{}Listar quién queda fuera de la campaña
Personas de la audiencia que no reciben la campaña, con el motivo. No se crea ninguna inscripción. Recibe el mismo cuerpo de la vista previa de audiencia, más paginación, búsqueda por nombre y filtro por motivo.
curl --request POST \
--url https://api.nuvia.ai/v1/campaigns/audience-preview/excluded \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"audience_config": {
"contact_ids": [
"<string>"
],
"lists": [
{
"id": "<string>",
"views": [
"<string>"
]
}
]
},
"behavior_config": {
"skip_if_active_conversation": true,
"active_conversation_window_minutes": 0
},
"exclusion_lists": [
{
"id": "<string>"
}
],
"page": 0,
"limit": 0,
"search": "<string>"
}
'import requests
url = "https://api.nuvia.ai/v1/campaigns/audience-preview/excluded"
payload = {
"audience_config": {
"contact_ids": ["<string>"],
"lists": [
{
"id": "<string>",
"views": ["<string>"]
}
]
},
"behavior_config": {
"skip_if_active_conversation": True,
"active_conversation_window_minutes": 0
},
"exclusion_lists": [{ "id": "<string>" }],
"page": 0,
"limit": 0,
"search": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
audience_config: {contact_ids: ['<string>'], lists: [{id: '<string>', views: ['<string>']}]},
behavior_config: {skip_if_active_conversation: true, active_conversation_window_minutes: 0},
exclusion_lists: [{id: '<string>'}],
page: 0,
limit: 0,
search: '<string>'
})
};
fetch('https://api.nuvia.ai/v1/campaigns/audience-preview/excluded', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nuvia.ai/v1/campaigns/audience-preview/excluded",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'audience_config' => [
'contact_ids' => [
'<string>'
],
'lists' => [
[
'id' => '<string>',
'views' => [
'<string>'
]
]
]
],
'behavior_config' => [
'skip_if_active_conversation' => true,
'active_conversation_window_minutes' => 0
],
'exclusion_lists' => [
[
'id' => '<string>'
]
],
'page' => 0,
'limit' => 0,
'search' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nuvia.ai/v1/campaigns/audience-preview/excluded"
payload := strings.NewReader("{\n \"audience_config\": {\n \"contact_ids\": [\n \"<string>\"\n ],\n \"lists\": [\n {\n \"id\": \"<string>\",\n \"views\": [\n \"<string>\"\n ]\n }\n ]\n },\n \"behavior_config\": {\n \"skip_if_active_conversation\": true,\n \"active_conversation_window_minutes\": 0\n },\n \"exclusion_lists\": [\n {\n \"id\": \"<string>\"\n }\n ],\n \"page\": 0,\n \"limit\": 0,\n \"search\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.nuvia.ai/v1/campaigns/audience-preview/excluded")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"audience_config\": {\n \"contact_ids\": [\n \"<string>\"\n ],\n \"lists\": [\n {\n \"id\": \"<string>\",\n \"views\": [\n \"<string>\"\n ]\n }\n ]\n },\n \"behavior_config\": {\n \"skip_if_active_conversation\": true,\n \"active_conversation_window_minutes\": 0\n },\n \"exclusion_lists\": [\n {\n \"id\": \"<string>\"\n }\n ],\n \"page\": 0,\n \"limit\": 0,\n \"search\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nuvia.ai/v1/campaigns/audience-preview/excluded")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"audience_config\": {\n \"contact_ids\": [\n \"<string>\"\n ],\n \"lists\": [\n {\n \"id\": \"<string>\",\n \"views\": [\n \"<string>\"\n ]\n }\n ]\n },\n \"behavior_config\": {\n \"skip_if_active_conversation\": true,\n \"active_conversation_window_minutes\": 0\n },\n \"exclusion_lists\": [\n {\n \"id\": \"<string>\"\n }\n ],\n \"page\": 0,\n \"limit\": 0,\n \"search\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{}Autorizaciones
Token JWT de autenticación
Encabezados
Identificador de la empresa objetivo. Obligatorio solo para API keys globales (type=global). Se ignora para API keys de empresa y usuarios humanos.
Cuerpo
Canal de envío de la campaña. Define la validación por canal.
WAP_AUTO_CLOSER, WEB_V2, EVOLUTION_API, LINKEDIN, MULTI_CHANNEL Audiencia simulada, en el mismo formato de la creación de la campaña.
Show child attributes
Show child attributes
Regla de conversación abierta, tal como está configurada en la pantalla.
Show child attributes
Show child attributes
Listas de exclusión, en el orden en que se agregaron. Quien esté en ellas queda fuera.
Show child attributes
Show child attributes
Página. Valor predeterminado 1.
-9007199254740991 <= x <= 9007199254740991Elementos por página. Valor predeterminado 20, máximo 100.
-9007199254740991 <= x <= 9007199254740991Búsqueda por el nombre del contacto.
Filtra por el motivo de quedar fuera. Valor predeterminado all.
all, filtered_out, active_conversation, exclusion_list, no_active_channel Respuesta
The response is of type object.